ISTI Open Access - Feature #24009

Install Matomo for open portal and make use of it
Oct 23, 2022 10:00 AM - Leonardo Candela

Status: New Start date: Oct 23, 2022
Priority: High Due date:

Assignee: _InfraScience Systems Engineer % Done: 0%
Category: Estimated time: 0.00 hour
Target version: ISTI Open Portal Tasks

Description

We are exploiting Matomo for providing OpenAIRE with usage statistics (download and views).

We are using google analytics for capturing the usage of the service.

| kindly request to install matomo on premise and use it for monitoring accesses to the open portal instance.

Matomo is integrated with CMSs including Joomla ...
https://matomo.org/fag/new-to-piwik/how-do-i-install-the-matomo-analytics-tracking-code-on-joomla/

History

#1 - Nov 18, 2022 09:20 AM - Leonardo Candela
- Priority changed from Normal to High

#2 - Nov 18, 2022 09:27 AM - Michele Artini

| read the mail of our Director, so | removed Google Analytics from the Portal.

#3 - Nov 18, 2022 11:27 AM - Leonardo Candela

| would suggest waiting a few days before removing analytics.

We are declaring the use of analytics in the privacy policy and making it possible for users to 'opt out'.
#4 - Nov 23, 2022 09:19 AM - Michele Artini

| installed the Matomo plugin for Joomla on all the portals (isti, ispc and beta).

But to complete the configuration it is necessary to edit these parameters:

e Tracking Code
e Opt-Out Code (it should be optional, used for override the message in the policy page)

@andrea.dellamico@isti.cnr.it Can you help me?

#5 - Nov 24, 2022 08:38 PM - Andrea Dell'’Amico

We do not have a matomo instance yet.
